summaryrefslogtreecommitdiffstats
path: root/jjb/vpp/include-raw-vpp-build.sh
diff options
context:
space:
mode:
authorEd Warnicke <eaw@cisco.com>2016-06-02 18:29:22 -0500
committerEd Warnicke <eaw@cisco.com>2016-06-02 18:29:22 -0500
commit847d73d7476e07d3574411803d0618a2136c32f7 (patch)
tree33a8429f6f982000aadfc696bb3f6088107e7362 /jjb/vpp/include-raw-vpp-build.sh
parent2228e4fe14541e78d9f89ab32c119008b18df943 (diff)
Fix propogation of build errors.
Change-Id: I3e600ab74f5290008489cdbaa1624559067ad8b2 Signed-off-by: Ed Warnicke <eaw@cisco.com>
Diffstat (limited to 'jjb/vpp/include-raw-vpp-build.sh')
-rw-r--r--jjb/vpp/include-raw-vpp-build.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/jjb/vpp/include-raw-vpp-build.sh b/jjb/vpp/include-raw-vpp-build.sh
index bacac4348..60df7ab4a 100644
--- a/jjb/vpp/include-raw-vpp-build.sh
+++ b/jjb/vpp/include-raw-vpp-build.sh
@@ -1,6 +1,6 @@
#!/bin/bash
# basic build script example
-
+set -xeu -o pipefail
# do nothing but print the current slave hostname
hostname
export CCACHE_DIR=/tmp/ccache
@@ -54,8 +54,7 @@ if [ ${OS} == ubuntu1404 ];then
fi
build-root/vagrant/build.sh
-if [ $? == 0 ];then
- echo "*******************************************************************"
- echo "* VPP BUILD SUCCESSFULLY COMPLETED"
- echo "*******************************************************************"
-fi
+
+echo "*******************************************************************"
+echo "* VPP BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"